Uploaded image for project: 'Cassandra'
  1. Cassandra
  2. CASSANDRA-12994

update arline dependecy to 0.7

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Normal
    • Resolution: Fixed
    • Fix Version/s: 4.0, 4.0-alpha1
    • Component/s: Dependencies
    • Labels:
      None

      Description

      We want to include Cassandra into Fedora, and there are some tweaks to cassandra sources we need to do. The io.airlift:airline dependency is one of those tweak we gotta do. Cassandra depends on arline 0.6, but In Fedora we have the latest upstream version 0.7. It was released quite time ago on Nov 6 2014. I attached a patch updating cassandra sources to depend on the newest airline sources. The only actual changes are in the imports. Please consider updating.

        Attachments

        1. cassandra-3.9-airline0.7.patch
          67 kB
          Tomas Repik
        2. airline-0.7.jar.asc
          0.5 kB
          Stefan Podkowinski

          Issue Links

            Activity

              People

              • Assignee:
                trepik Tomas Repik
                Reporter:
                trepik Tomas Repik
                Authors:
                Tomas Repik
                Reviewers:
                Stefan Podkowinski
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: